Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/ChangeLog	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,2 +1,19 @@
+2008-12-17	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* itron/include/rtems/itron/config.h,
+	itron/include/rtems/itron/eventflags.h,
+	itron/include/rtems/itron/fmempool.h,
+	itron/include/rtems/itron/mbox.h,
+	itron/include/rtems/itron/msgbuffer.h,
+	itron/include/rtems/itron/port.h,
+	itron/include/rtems/itron/semaphore.h,
+	itron/include/rtems/itron/task.h,
+	itron/include/rtems/itron/vmempool.h, itron/src/eventflags.c,
+	itron/src/fmempool.c, itron/src/itroninittasks.c,
+	itron/src/itronsem.c, itron/src/mbox.c, itron/src/msgbuffer.c,
+	itron/src/port.c, itron/src/task.c, itron/src/vmempool.c,
+	sapi/src/itronapi.c: Convert ITRON manager initialization routines to
+	directly pull parameters from configuration table.
+
 2008-12-17	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/itron/include/rtems/itron/config.h
===================================================================
--- cpukit/itron/include/rtems/itron/config.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/config.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -8,5 +8,5 @@
  *  parameters specific for the ITRON API.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -59,4 +59,12 @@
 } itron_api_configuration_table;
 
+/**
+ *  @brief ITRON API Configuration Table
+ *
+ *  This is the ITRON API Configuration Table expected to be generated
+ *  by confdefs.h.
+ */
+extern itron_api_configuration_table Configuration_ITRON_API;
+
 #ifdef __cplusplus
 }
Index: cpukit/itron/include/rtems/itron/eventflags.h
===================================================================
--- cpukit/itron/include/rtems/itron/eventflags.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/eventflags.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -47,7 +47,5 @@
  */
 
-void _ITRON_Eventflags_Manager_initialization(
-  uint32_t   maximum_eventflags
-);
+void _ITRON_Eventflags_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/fmempool.h
===================================================================
--- cpukit/itron/include/rtems/itron/fmempool.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/fmempool.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -48,7 +48,5 @@
  */
 
-void _ITRON_Fixed_memory_pool_Manager_initialization(
-  uint32_t   maximum_fixed_memory_pools
-);
+void _ITRON_Fixed_memory_pool_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/mbox.h
===================================================================
--- cpukit/itron/include/rtems/itron/mbox.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/mbox.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -50,7 +50,5 @@
  */
 
-void _ITRON_Mailbox_Manager_initialization(
-  uint32_t   maximum_mailboxes
-);
+void _ITRON_Mailbox_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/msgbuffer.h
===================================================================
--- cpukit/itron/include/rtems/itron/msgbuffer.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/msgbuffer.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -50,7 +50,5 @@
  */
 
-void _ITRON_Message_buffer_Manager_initialization(
-  uint32_t   maximum_message_buffers
-);
+void _ITRON_Message_buffer_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/port.h
===================================================================
--- cpukit/itron/include/rtems/itron/port.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/port.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -47,7 +47,5 @@
  */
 
-void _ITRON_Port_Manager_initialization(
-  uint32_t   maximum_ports
-);
+void _ITRON_Port_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/semaphore.h
===================================================================
--- cpukit/itron/include/rtems/itron/semaphore.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/semaphore.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -49,7 +49,5 @@
  */
 
-void _ITRON_Semaphore_Manager_initialization(
-  uint32_t   maximum_semaphores
-);
+void _ITRON_Semaphore_Manager_initialization(void);
 
 #include <rtems/itron/semaphore.inl>
Index: cpukit/itron/include/rtems/itron/task.h
===================================================================
--- cpukit/itron/include/rtems/itron/task.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/task.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -57,12 +57,4 @@
 ITRON_EXTERN Objects_Information _ITRON_Task_Information;
 
-/*
- *  These are used to manage the user initialization tasks.
- */
-
-ITRON_EXTERN itron_initialization_tasks_table
-               *_ITRON_Task_User_initialization_tasks;
-ITRON_EXTERN uint32_t     _ITRON_Task_Number_of_initialization_tasks;
-
 /**
  *  When the user configures a set of ITRON API initialization tasks,
@@ -80,9 +72,5 @@
  */
 
-void _ITRON_Task_Manager_initialization(
-  uint32_t                          maximum_tasks,
-  uint32_t                          number_of_initialization_tasks,
-  itron_initialization_tasks_table *user_tasks
-);
+void _ITRON_Task_Manager_initialization(void);
 
 /*
Index: cpukit/itron/include/rtems/itron/vmempool.h
===================================================================
--- cpukit/itron/include/rtems/itron/vmempool.h	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/include/rtems/itron/vmempool.h	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -4,5 +4,5 @@
 
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -48,7 +48,5 @@
  */
 
-void _ITRON_Variable_memory_pool_Manager_initialization(
-  uint32_t   maximum_variable_memory_pools
-);
+void _ITRON_Variable_memory_pool_Manager_initialization(void);
 
 /*
Index: cpukit/itron/src/eventflags.c
===================================================================
--- cpukit/itron/src/eventflags.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/eventflags.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/eventflags.h>
 
@@ -23,13 +23,10 @@
  *  This routine initializes all event flags manager related data structures.
  *
- *  Input parameters:
- *    maximum_eventflags - maximum configured eventflags
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Eventflags_Manager_initialization(
-  uint32_t   maximum_eventflags
-)
+void _ITRON_Eventflags_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -37,5 +34,6 @@
     OBJECTS_ITRON_API,                  /* object API */
     OBJECTS_ITRON_EVENTFLAGS,           /* object class */
-    maximum_eventflags,                 /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_eventflags,
+                                 /* maximum objects of this class */
     sizeof( ITRON_Eventflags_Control ),
                                  /* size of this object's control block */
Index: cpukit/itron/src/fmempool.c
===================================================================
--- cpukit/itron/src/fmempool.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/fmempool.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/fmempool.h>
 
@@ -24,13 +24,10 @@
  *  data structures.
  *
- *  Input parameters:
- *    maximum_fixed_memory_pools - maximum configured fixed memory pools
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Fixed_memory_pool_Manager_initialization(
-  uint32_t   maximum_fixed_memory_pools
-)
+void _ITRON_Fixed_memory_pool_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -38,5 +35,6 @@
     OBJECTS_ITRON_API,                 /* object API */
     OBJECTS_ITRON_FIXED_MEMORY_POOLS,  /* object class */
-    maximum_fixed_memory_pools,        /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_fixed_memory_pools,
+                                 /* maximum objects of this class */
     sizeof( ITRON_Fixed_memory_pool_Control ),
                                  /* size of this object's control block */
Index: cpukit/itron/src/itroninittasks.c
===================================================================
--- cpukit/itron/src/itroninittasks.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/itroninittasks.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -38,10 +38,6 @@
   itron_initialization_tasks_table *user_tasks;
 
-  /*
-   *  NOTE:  This is slightly different from the Ada implementation.
-   */
-
-  user_tasks = _ITRON_Task_User_initialization_tasks;
-  maximum    = _ITRON_Task_Number_of_initialization_tasks;
+  user_tasks = Configuration_ITRON_API.User_initialization_tasks_table;
+  maximum    = Configuration_ITRON_API.number_of_initialization_tasks;
 
   if ( !user_tasks || maximum == 0 )
Index: cpukit/itron/src/itronsem.c
===================================================================
--- cpukit/itron/src/itronsem.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/itronsem.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/semaphore.h>
 #include <rtems/itron/task.h>
@@ -27,20 +27,18 @@
  *  This routine initializes all semaphore manager related data structures.
  *
- *  Input parameters:
- *    maximum_semaphores - maximum configured semaphores
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Semaphore_Manager_initialization(
-  uint32_t   maximum_semaphores
-)
+void _ITRON_Semaphore_Manager_initialization(void)
 {
   _Objects_Initialize_information(
-    &_ITRON_Semaphore_Information,     /* object information table */
-    OBJECTS_ITRON_API,                 /* object API */
-    OBJECTS_ITRON_SEMAPHORES,          /* object class */
-    maximum_semaphores,                /* maximum objects of this class */
-    sizeof( ITRON_Semaphore_Control ), /* size of this object's control block */
+    &_ITRON_Semaphore_Information,   /* object information table */
+    OBJECTS_ITRON_API,               /* object API */
+    OBJECTS_ITRON_SEMAPHORES,        /* object class */
+    Configuration_ITRON_API.maximum_semaphores,
+                                     /* maximum objects of this class */
+    sizeof(ITRON_Semaphore_Control), /* size of this object's control block */
     FALSE,                       /* TRUE if names for this object are strings */
     ITRON_MAXIMUM_NAME_LENGTH    /* maximum length of each object's name */
Index: cpukit/itron/src/mbox.c
===================================================================
--- cpukit/itron/src/mbox.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/mbox.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -2,5 +2,5 @@
  *  ITRON 3.0 Mailbox Manager
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -17,5 +17,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/mbox.h>
 #include <rtems/itron/task.h>
@@ -26,13 +26,10 @@
  *  This routine initializes all mailboxes manager related data structures.
  *
- *  Input parameters:
- *    maximum_mailboxes - maximum configured mailboxes
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Mailbox_Manager_initialization(
-  uint32_t   maximum_mailboxes
-)
+void _ITRON_Mailbox_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -40,5 +37,6 @@
     OBJECTS_ITRON_API,           /* object API */
     OBJECTS_ITRON_MAILBOXES,     /* object class */
-    maximum_mailboxes,           /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_mailboxes,
+                                 /* maximum objects of this class */
     sizeof( ITRON_Mailbox_Control ), /* size of this object's control block */
     FALSE,                       /* TRUE if names for this object are strings */
Index: cpukit/itron/src/msgbuffer.c
===================================================================
--- cpukit/itron/src/msgbuffer.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/msgbuffer.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -2,5 +2,5 @@
  *  ITRON Message Buffer Manager
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -17,5 +17,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/msgbuffer.h>
 #include <rtems/itron/task.h>
@@ -27,13 +27,10 @@
  *  structures.
  *
- *  Input parameters:
- *    maximum_message_buffers - maximum configured message buffers
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Message_buffer_Manager_initialization(
-  uint32_t   maximum_message_buffers
-)
+void _ITRON_Message_buffer_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -41,5 +38,6 @@
     OBJECTS_ITRON_API,                  /* object API */
     OBJECTS_ITRON_MESSAGE_BUFFERS,      /* object class */
-    maximum_message_buffers,            /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_message_buffers,
+                               /* maximum objects of this class */
     sizeof( ITRON_Message_buffer_Control ),
                                /* size of this object's control block */
Index: cpukit/itron/src/port.c
===================================================================
--- cpukit/itron/src/port.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/port.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/port.h>
 
@@ -23,13 +23,10 @@
  *  This routine initializes all ports manager related data structures.
  *
- *  Input parameters:
- *    maximum_ports - maximum configured ports
+ *  Input parameters:   NONE
  *
  *  Output parameters:  NONE
  */
 
-void _ITRON_Port_Manager_initialization(
-  uint32_t   maximum_ports
-)
+void _ITRON_Port_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -37,5 +34,6 @@
     OBJECTS_ITRON_API,            /* object API */
     OBJECTS_ITRON_PORTS,          /* object class */
-    maximum_ports,                /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_ports,
+                                  /* maximum objects of this class */
     sizeof( ITRON_Port_Control ), /* size of this object's control block */
     FALSE,                     /* TRUE if names for this object are strings */
Index: cpukit/itron/src/task.c
===================================================================
--- cpukit/itron/src/task.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/task.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/score/thread.h>
 #include <rtems/score/userext.h>
@@ -149,13 +149,6 @@
  */
 
-void _ITRON_Task_Manager_initialization(
-  uint32_t                          maximum_tasks,
-  uint32_t                          number_of_initialization_tasks,
-  itron_initialization_tasks_table *user_tasks
-)
+void _ITRON_Task_Manager_initialization(void)
 {
-
-  _ITRON_Task_Number_of_initialization_tasks = number_of_initialization_tasks;
-  _ITRON_Task_User_initialization_tasks = user_tasks;
 
   _Objects_Initialize_information(
@@ -163,5 +156,6 @@
     OBJECTS_ITRON_API,          /* object API */
     OBJECTS_ITRON_TASKS,        /* object class */
-    maximum_tasks,              /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_tasks,
+                                /* maximum objects of this class */
     sizeof( Thread_Control ),   /* size of this object's control block */
     FALSE,                      /* TRUE if names for this object are strings */
Index: cpukit/itron/src/vmempool.c
===================================================================
--- cpukit/itron/src/vmempool.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/itron/src/vmempool.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2007.
+ *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,5 +15,5 @@
 
 #include <rtems/itron.h>
-
+#include <rtems/config.h>
 #include <rtems/itron/vmempool.h>
 
@@ -30,7 +30,5 @@
  */
 
-void _ITRON_Variable_memory_pool_Manager_initialization(
-  uint32_t   maximum_variable_memory_pools
-)
+void _ITRON_Variable_memory_pool_Manager_initialization(void)
 {
   _Objects_Initialize_information(
@@ -38,5 +36,6 @@
     OBJECTS_ITRON_API,                        /* object API */
     OBJECTS_ITRON_VARIABLE_MEMORY_POOLS,      /* object class */
-    maximum_variable_memory_pools, /* maximum objects of this class */
+    Configuration_ITRON_API.maximum_memory_pools,
+                                /* maximum objects of this class */
     sizeof( ITRON_Variable_memory_pool_Control ),
                                 /* size of this object's control block */
Index: cpukit/sapi/src/itronapi.c
===================================================================
--- cpukit/sapi/src/itronapi.c	(revision 7252caf20a6d217984a7df13fe81916121eb75e7)
+++ cpukit/sapi/src/itronapi.c	(revision e06ecec5182bd9ca37e78eb1ae7a5a0ba16afe31)
@@ -57,6 +57,4 @@
 void _ITRON_API_Initialize(void)
 {
-  const itron_api_configuration_table *api;
-
   /* XXX need to assert here based on size assumptions */
 
@@ -67,29 +65,14 @@
    * various managers.
    */
-  api = &Configuration_ITRON_API;
-
   _Objects_Information_table[OBJECTS_ITRON_API] = _ITRON_Objects;
 
-  _ITRON_Task_Manager_initialization(
-    api->maximum_tasks,
-    api->number_of_initialization_tasks,
-    api->User_initialization_tasks_table
-  );
-
-  _ITRON_Semaphore_Manager_initialization( api->maximum_semaphores );
-
-  _ITRON_Eventflags_Manager_initialization( api->maximum_eventflags );
-
-  _ITRON_Fixed_memory_pool_Manager_initialization(
-    api->maximum_fixed_memory_pools
-  );
-
-  _ITRON_Mailbox_Manager_initialization( api->maximum_mailboxes );
-
-  _ITRON_Message_buffer_Manager_initialization( api->maximum_message_buffers );
-
-  _ITRON_Port_Manager_initialization( api->maximum_ports );
-
-  _ITRON_Variable_memory_pool_Manager_initialization(api->maximum_memory_pools);
+  _ITRON_Task_Manager_initialization();
+  _ITRON_Semaphore_Manager_initialization();
+  _ITRON_Eventflags_Manager_initialization();
+  _ITRON_Fixed_memory_pool_Manager_initialization();
+  _ITRON_Mailbox_Manager_initialization();
+  _ITRON_Message_buffer_Manager_initialization();
+  _ITRON_Port_Manager_initialization();
+  _ITRON_Variable_memory_pool_Manager_initialization();
 }
 
